Bug 987802 - Documentation bug: EAP6 module can work with no JAR files
Documentation bug: EAP6 module can work with no JAR files
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
unspecified
All All
unspecified Severity low
: GA
: EAP 6.3.0
Assigned To: Lucas Costi
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 03:59 EDT by Kenjiro Nakayama
Modified: 2014-08-14 11:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-28 11:43:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kenjiro Nakayama 2013-07-24 03:59:54 EDT
Document URL: https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html/Administration_and_Configuration_Guide/chap-Configuring_Modules.html#Modules

Section Number and Name: 
Chapter 7. Configuring Modules
7.1. Introduction
7.1.1. Modules

Describe the issue: 

The document says “Each sub-directory represents one module and contains one or more JAR files and a configuration file (module.xml).”, but one module don't need to include one or more JAR files. one module can work with no JAR files.

Suggestions for improvement: 

before ->
Each sub-directory represents one module and contains one or more JAR files and a configuration file (module.xml). 

after ->
Each sub-directory represents one module and contains a configuration file (module.xml). 

Additional information:
Comment 1 Kenjiro Nakayama 2013-07-24 21:42:48 EDT
I mean that documentation should say it is possible to create one module to set the properties files. 

Example : 
Where to put my application specific properties files outside WAR/EAR in JBoss EAP 6
https://access.redhat.com/site/solutions/186253
Comment 3 Lucas Costi 2014-01-13 00:27:02 EST
I have changed the sentence so it now is:
"Each sub-directory represents one module, and contains a configuration file (module.xml) and any required JAR files."

I think this wording now implies that a JAR file may be optional.

Change made in topic 4360, rev. 575312.

The changes will be reflected in the next document build, and the status will be changed to ON_QA when it is ready for review.
Comment 5 Martin Simka 2014-02-18 09:08:42 EST
verified

Note You need to log in before you can comment on or make changes to this bug.